Bug 2102265 - [Lenovo] Screen not working during boot on Z series AMD platforms (2022)
Summary: [Lenovo] Screen not working during boot on Z series AMD platforms (2022)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 36
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-06-29 14:34 UTC by Mark Pearson
Modified: 2022-07-04 01:27 UTC (History)
18 users (show)

Fixed In Version: kernel-5.18.9-100.fc35 kernel-5.18.9-200.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-04 01:10:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Mark Pearson 2022-06-29 14:34:10 UTC
1. Please describe the problem:
With the 5.18 kernel there was a regression so the screen display isn't working on the Z-series platforms (and potentially others).
Revert is here: https://github.com/torvalds/linux/commit/937e24b7f5595566a64e0f856ebab9147f2e4d1b

Creating this bug for tracking - about to submit the MR to get the fix pulled into the fedora-5.18 kernel

2. What is the Version-Release number of the kernel: 5.18


3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :
Yes - was previously working in 5.17

4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:
Yes. Build the fedora-5.18 kernel and boot it. Screen is black. It can be recovered by suspend/resume (sometimes)

5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:
I think so - but didn't actually test it. The revert is upstream (and labelled for stable updates) so I'm expecting it to make it's way into Fedora anyway - but we're planning a release based on the 5.18 kernel and so I'm bringing this forward.

6. Are you running any modules that not shipped with directly Fedora's kernel?:
Nope

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.
Nothing interesting in the logs. We had to find and fix this one using a bisect.

Comment 1 Mark Pearson 2022-06-29 14:38:41 UTC
Merge Request: https://gitlab.com/cki-project/kernel-ark/-/merge_requests/1899

Comment 2 Mark Pearson 2022-06-29 18:22:26 UTC
Merge accepted. I'll wait for release and close the bug

Comment 3 Fedora Update System 2022-06-29 20:53:06 UTC
FEDORA-2022-00d93c118f has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-00d93c118f

Comment 4 Fedora Update System 2022-06-29 20:53:08 UTC
FEDORA-2022-792839070e has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-792839070e

Comment 5 Fedora Update System 2022-06-30 01:25:26 UTC
FEDORA-2022-792839070e has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-792839070e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-792839070e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-06-30 01:33:54 UTC
FEDORA-2022-00d93c118f has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-00d93c118f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-00d93c118f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-07-03 01:38:07 UTC
FEDORA-2022-21bc69245a has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-21bc69245a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-21bc69245a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-07-03 02:35:01 UTC
FEDORA-2022-038d374b08 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-038d374b08`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-038d374b08

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-07-04 01:10:38 UTC
FEDORA-2022-038d374b08 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2022-07-04 01:27:43 UTC
FEDORA-2022-21bc69245a has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.